UNIPRINT(1)

NAME

uniprint - produce postscript output from unicode text for printing

SYNOPSIS

uniprint [ -out output-file ] [ -in input-file ] [ -decode encoding ] [ -printer printer ] [ -L ] [ -media media ] [ -us ] [ -nus ] [ -break ] [ -wrap ] [ -left ] [ -right ] [ -size font-size ] [ -hsize header-font-size ] [ -font truetype-font-file ]

DESCRIPTION

uniprint is a program from the yudit distribution. It makes a formatted poscript output that can be saved or directly sent to the printer. The program needs a TrueType font that has unicode table in order to operate.

If you are running Linux you most probably have unicode truetype fonts, because there are very few vendors, if any. who give discount if you do not buy Windows. If you are running other Unices it is still possible to get a freely available font. I have made ciberbit.ttf a default font for uniprint, mainly because it is freely downloadable from http://www.bitstream.com/.

The postcript output contains all drawing information. No extra fonts are needed, and it can be printed on any postscript printer. You may encounter probkems with old ghostview or old printers. I used this program with ghostscript 5.10 because 2.6.2 gave me stack overflow error.

OPTIONS

-out ouput-file
    Do not sent the output to the printer, put it in the file instead. If the '-' character is specified, send the postscript data to the standard output.

-in input-file
    If specified read the document from a file. Read stdin otherwise.

-decode encoding
    specifies the encoding of the input text. All encodings that are available for uniconv can be used. If not specified encoding is set to utf-8.

-printer printer
    Send the postscript output to printer through the 'lpr -P Printer' command.

-break
    option makes this program print a graphical representation of line breaking characters.

-us option turns on uniscribe emulation. For some scripts emulation is turned on by default.

-nus
    option turns off uniscribe emulation. For some scripts emulation is turned off by default.

-wrap
    option makes this program do a simplistic line breaking on word boundaries.

-left
    option sets the embedding of the document to Left.

-right
    option sets the embedding of the document to Right.

-L  Selects landscape printing. The default is portrait.

-media media
    Sets paper size. The default is A4. The following media values are accepted: A3, A4, A5, B4, B5, Executive, Folio, Ledger, Legal, Letter, Quarto, Statement, Tabloid

-size font-size
    sets the size of the font for the text body in points.

-hsize heder-font-size
    sets the size of the font for the header in points. If zero size is specified, no header is printed.

-font truetype-font
    specifies the font to be used for printing. truetype-font is the full pathname of the font, like /somepath/myfonts/cyberbit.ttf or just the name of the file cyberbit.ttf. The fonts are searched using yudit.fontpath property in ~/.yudit/yudit.properties or /usr/pkg/share/yudit/config/yudit.properties. directory where the font files are kept. By default /usr/pkg/share/yudit/fonts and ~/.yudit/fonts are searched. This option can be specified multiple times, to create a virtual font.

FILES
~/.yudit/yudit.properties or /usr/pkg/share/yudit/config/yudit.properties can have yudit.fontpath and yudit.datapath properties. The former is where the font files, the latter is where the map files are kept. By default /usr/pkg/share/yudit/fonts is searched.

SEE ALSO
uniconv

AUTHOR

This program was written by gsinai@iname.com (Gaspar Sinai), using the code of ttf2pfa program that was written by Adrew Weeks. Last Updated Tokyo, 2 November, 2001.